searchNodes=[{"doc":"Want the wonderful goodness of SVG without having the need for our SVG + JS framework at the moment? Have no fear, SVG Sprites are here. We have lovingly prepped all the icon set styles into their own SVG sprites.This quote is taken from the Font Awesome documentation about SVG sprites. I love the Font Awesome icons, but I'm not particularly eager to use their JavaScript code, the CSS files or the webfont. So the &quot;big&quot; SVG sprite files provided by this library are just the perfect solution for me.SvgSprite helps you to embed these SVG sprites in your Phoenix template. Instead of writing verbose code like this:&lt;a href=&quot;https://facebook.com/fontawesome&quot;&gt; &lt;svg fill=&quot;currentColor&quot; class=&quot;w-5 h-5&quot;&gt; &lt;use xlink:href=&quot;/images/brands.svg#facebook&quot;&gt;&lt;/use&gt; &lt;/svg&gt; &lt;/a&gt;It is much nicer to just write.&lt;a href=&quot;https://facebook.com/fontawesome&quot;&gt; &lt;%= icon(&quot;brands&quot;, &quot;facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;/a&gt;Or use atoms for the icon family and name.&lt;a href=&quot;https://facebook.com/fontawesome&quot;&gt; &lt;%= icon(:brands, :facebook, class: &quot;w-5 h-5&quot;) %&gt; &lt;/a&gt;This library is inspired by Font Awesome but it is not limited to it. Basically, it expects a SVG sprite file inside a base path which contains all the symbols. Every symbol has to have a unique name as its HTML id attribute.The example above expects a file named brands.svg inside your images static path. Inside this file a symbol with the id facebook has to exist.InstallationAttrition can be installed by adding attrition to your list of dependencies in mix.exs:def deps do [ {:svg_sprite, &quot;~&gt; 0.1.0&quot;} ] endFetch the dependenciesmix deps.getSetupSetup for attrition can be accomplished in two easy steps!1. Import SvgSprite inside your view_helpersOf course you could add the library to every view manually by adding import SvgSprite. A better solution is to add it to the view_helpers function in inside your application_web.ex file.defp view_helpers do quote do # Use all HTML functionality (forms, tags, etc) use Phoenix.HTML # Import LiveView helpers (live_render, live_component, live_patch, etc) import Phoenix.LiveView.Helpers # Import basic rendering functionality (render, render_layout, etc) import Phoenix.View import SvgSprite ... end end(Optional) 2. Environment ConfigurationAs mentioned above, the library searches per default inside the images path inside your static assets folder. But you can change the base path inside your config.exs file.config :svg_sprite, base_path: &quot;/images&quot;Of course you can also host the SVG sprites on some kind of CDN.config :svg_sprite, base_path: &quot;https://cdn.mycompany.com/svg/sprites&quot;Font Awesome specific featuresNormally, Font Awesome uses short names for the icon family like fas, far, fab, etc. in its documentation. And the icon names always have a &quot;fa-&quot; as a prefix.SvgSprite maps the short names to the long names of the SVG sprite files.Short NameLong NameFilenamefassolidsolid.svgfarregularregular.svgfabbrandsbrands.svgfallightlight.svgfadduotoneduotone.svgIt also removes the &quot;fa-&quot; prefix, because inside the SVG sprite files the names are used without the prefix. The following statements are all equivalent.&lt;%= icon(&quot;brands&quot;, &quot;facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;%= icon(&quot;fab&quot;, &quot;fa-facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;%= icon(&quot;brands&quot;, &quot;fa-facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;%= icon(&quot;fab&quot;, &quot;facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt;","ref":"SvgSprite.html","title":"SvgSprite","type":"module"},{"doc":"Creates an SVG tag which references a SVG sprite from an external SVG sprite file and returns it as a :safe HTML string.","ref":"SvgSprite.html#icon/3","title":"SvgSprite.icon/3","type":"function"},{"doc":"SvgSpriteWant the wonderful goodness of SVG without having the need for our SVG + JS framework at the moment? Have no fear, SVG Sprites are here. We have lovingly prepped all the icon set styles into their own SVG sprites.This quote is taken from the Font Awesome documentation about SVG sprites. I love the Font Awesome icons, but I'm not particularly eager to use their JavaScript code, the CSS files or the webfont. So the &quot;big&quot; SVG sprite files provided by this library are just the perfect solution for me.SvgSprite helps you to embed these SVG sprites in your Phoenix template. Instead of writing verbose code like this:&lt;a href=&quot;https://facebook.com/fontawesome&quot;&gt; &lt;svg fill=&quot;currentColor&quot; class=&quot;w-5 h-5&quot;&gt; &lt;use xlink:href=&quot;/images/brands.svg#facebook&quot;&gt;&lt;/use&gt; &lt;/svg&gt; &lt;/a&gt;It is much nicer to just write.&lt;a href=&quot;https://facebook.com/fontawesome&quot;&gt; &lt;%= icon(&quot;brands&quot;, &quot;facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;/a&gt;Or use atoms for the icon family and name.&lt;a href=&quot;https://facebook.com/fontawesome&quot;&gt; &lt;%= icon(:brands, :facebook, class: &quot;w-5 h-5&quot;) %&gt; &lt;/a&gt;This library is inspired by Font Awesome but it is not limited to it. Basically, it expects a SVG sprite file inside a base path which contains all the symbols. Every symbol has to have a unique name as its HTML id attribute.The example above expects a file named brands.svg inside your images static path. Inside this file a symbol with the id facebook has to exist.","ref":"readme.html","title":"SvgSprite","type":"extras"},{"doc":"Attrition can be installed by adding attrition to your list of dependencies in mix.exs:def deps do [ {:svg_sprite, &quot;~&gt; 0.1.0&quot;} ] endFetch the dependenciesmix deps.get","ref":"readme.html#installation","title":"SvgSprite - Installation","type":"extras"},{"doc":"Setup for attrition can be accomplished in two easy steps!1. Import SvgSprite inside your view_helpersOf course you could add the library to every view manually by adding import SvgSprite. A better solution is to add it to the view_helpers function in inside your application_web.ex file. defp view_helpers do quote do # Use all HTML functionality (forms, tags, etc) use Phoenix.HTML # Import LiveView helpers (live_render, live_component, live_patch, etc) import Phoenix.LiveView.Helpers # Import basic rendering functionality (render, render_layout, etc) import Phoenix.View import SvgSprite ... end end(Optional) 2. Environment ConfigurationAs mentioned above, the library searches per default inside the images path inside your static assets folder. But you can change the base path inside your config.exs file.config :svg_sprite, base_path: &quot;/images&quot;Of course you can also host the SVG sprites on some kind of CDN.config :svg_sprite, base_path: &quot;https://cdn.mycompany.com/svg/sprites&quot;","ref":"readme.html#setup","title":"SvgSprite - Setup","type":"extras"},{"doc":"Normally, Font Awesome uses short names for the icon family like fas, far, fab, etc. in its documentation. And the icon names always have a &quot;fa-&quot; as a prefix.SvgSprite maps the short names to the long names of the SVG sprite files.Short NameLong NameFilenamefassolidsolid.svgfarregularregular.svgfabbrandsbrands.svgfallightlight.svgfadduotoneduotone.svgIt also removes the &quot;fa-&quot; prefix, because inside the SVG sprite files the names are used without the prefix. The following statements are all equivalent.&lt;%= icon(&quot;brands&quot;, &quot;facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;%= icon(&quot;fab&quot;, &quot;fa-facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;%= icon(&quot;brands&quot;, &quot;fa-facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt; &lt;%= icon(&quot;fab&quot;, &quot;facebook&quot;, class: &quot;w-5 h-5&quot;) %&gt;","ref":"readme.html#font-awesome-specific-features","title":"SvgSprite - Font Awesome specific features","type":"extras"},{"doc":"See License","ref":"readme.html#license","title":"SvgSprite - License","type":"extras"}]